Include <sys/types.h> before including <dirent.h>; Mac OS 10.2.2

needs this.
This commit is contained in:
thorpej 2002-12-16 00:31:59 +00:00
parent e00ddd7131
commit bd339b41ac
2 changed files with 148 additions and 145 deletions

288
tools/compat/configure vendored
View File

@ -3734,6 +3734,7 @@ else
cat >conftest.$ac_ext <<_ACEOF
#line 3735 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <dirent.h>
int
@ -3747,16 +3748,16 @@ return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:3750: \"$ac_compile\"") >&5
if { (eval echo "$as_me:3751: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:3753: \$? = $ac_status" >&5
echo "$as_me:3754: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:3756: \"$ac_try\"") >&5
{ (eval echo "$as_me:3757: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:3759: \$? = $ac_status" >&5
echo "$as_me:3760: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_member_DIR_dd_fd=yes
else
@ -3766,7 +3767,7 @@ ac_cv_member_DIR_dd_fd=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:3769: result: $ac_cv_member_DIR_dd_fd" >&5
echo "$as_me:3770: result: $ac_cv_member_DIR_dd_fd" >&5
echo "${ECHO_T}$ac_cv_member_DIR_dd_fd" >&6
if test $ac_cv_member_DIR_dd_fd = yes; then
@ -3775,14 +3776,15 @@ cat >>confdefs.h <<EOF
EOF
fi
echo "$as_me:3778: checking for struct dirent.d_namlen" >&5
echo "$as_me:3779: checking for struct dirent.d_namlen" >&5
echo $ECHO_N "checking for struct dirent.d_namlen... $ECHO_C" >&6
if test "${ac_cv_member_struct_dirent_d_namlen+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 3784 "configure"
#line 3785 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <dirent.h>
int
@ -3796,16 +3798,16 @@ return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:3799: \"$ac_compile\"") >&5
if { (eval echo "$as_me:3801: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:3802: \$? = $ac_status" >&5
echo "$as_me:3804: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:3805: \"$ac_try\"") >&5
{ (eval echo "$as_me:3807: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:3808: \$? = $ac_status" >&5
echo "$as_me:3810: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_member_struct_dirent_d_namlen=yes
else
@ -3815,7 +3817,7 @@ ac_cv_member_struct_dirent_d_namlen=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:3818: result: $ac_cv_member_struct_dirent_d_namlen" >&5
echo "$as_me:3820: result: $ac_cv_member_struct_dirent_d_namlen" >&5
echo "${ECHO_T}$ac_cv_member_struct_dirent_d_namlen" >&6
if test $ac_cv_member_struct_dirent_d_namlen = yes; then
@ -3825,13 +3827,13 @@ EOF
fi
echo "$as_me:3828: checking for struct stat.st_flags" >&5
echo "$as_me:3830: checking for struct stat.st_flags" >&5
echo $ECHO_N "checking for struct stat.st_flags... $ECHO_C" >&6
if test "${ac_cv_member_struct_stat_st_flags+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 3834 "configure"
#line 3836 "configure"
#include "confdefs.h"
#include <sys/stat.h>
@ -3846,16 +3848,16 @@ return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:3849: \"$ac_compile\"") >&5
if { (eval echo "$as_me:3851: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:3852: \$? = $ac_status" >&5
echo "$as_me:3854: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:3855: \"$ac_try\"") >&5
{ (eval echo "$as_me:3857: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:3858: \$? = $ac_status" >&5
echo "$as_me:3860: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_member_struct_stat_st_flags=yes
else
@ -3865,7 +3867,7 @@ ac_cv_member_struct_stat_st_flags=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:3868: result: $ac_cv_member_struct_stat_st_flags" >&5
echo "$as_me:3870: result: $ac_cv_member_struct_stat_st_flags" >&5
echo "${ECHO_T}$ac_cv_member_struct_stat_st_flags" >&6
if test $ac_cv_member_struct_stat_st_flags = yes; then
@ -3874,13 +3876,13 @@ cat >>confdefs.h <<EOF
EOF
fi
echo "$as_me:3877: checking for struct stat.st_gen" >&5
echo "$as_me:3879: checking for struct stat.st_gen" >&5
echo $ECHO_N "checking for struct stat.st_gen... $ECHO_C" >&6
if test "${ac_cv_member_struct_stat_st_gen+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 3883 "configure"
#line 3885 "configure"
#include "confdefs.h"
#include <sys/stat.h>
@ -3895,16 +3897,16 @@ return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:3898: \"$ac_compile\"") >&5
if { (eval echo "$as_me:3900: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:3901: \$? = $ac_status" >&5
echo "$as_me:3903: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:3904: \"$ac_try\"") >&5
{ (eval echo "$as_me:3906: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:3907: \$? = $ac_status" >&5
echo "$as_me:3909: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_member_struct_stat_st_gen=yes
else
@ -3914,7 +3916,7 @@ ac_cv_member_struct_stat_st_gen=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:3917: result: $ac_cv_member_struct_stat_st_gen" >&5
echo "$as_me:3919: result: $ac_cv_member_struct_stat_st_gen" >&5
echo "${ECHO_T}$ac_cv_member_struct_stat_st_gen" >&6
if test $ac_cv_member_struct_stat_st_gen = yes; then
@ -3923,13 +3925,13 @@ cat >>confdefs.h <<EOF
EOF
fi
echo "$as_me:3926: checking for struct stat.st_mtimensec" >&5
echo "$as_me:3928: checking for struct stat.st_mtimensec" >&5
echo $ECHO_N "checking for struct stat.st_mtimensec... $ECHO_C" >&6
if test "${ac_cv_member_struct_stat_st_mtimensec+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 3932 "configure"
#line 3934 "configure"
#include "confdefs.h"
#include <sys/stat.h>
@ -3944,16 +3946,16 @@ return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:3947: \"$ac_compile\"") >&5
if { (eval echo "$as_me:3949: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:3950: \$? = $ac_status" >&5
echo "$as_me:3952: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:3953: \"$ac_try\"") >&5
{ (eval echo "$as_me:3955: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:3956: \$? = $ac_status" >&5
echo "$as_me:3958: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_member_struct_stat_st_mtimensec=yes
else
@ -3963,7 +3965,7 @@ ac_cv_member_struct_stat_st_mtimensec=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:3966: result: $ac_cv_member_struct_stat_st_mtimensec" >&5
echo "$as_me:3968: result: $ac_cv_member_struct_stat_st_mtimensec" >&5
echo "${ECHO_T}$ac_cv_member_struct_stat_st_mtimensec" >&6
if test $ac_cv_member_struct_stat_st_mtimensec = yes; then
@ -3973,13 +3975,13 @@ EOF
fi
echo "$as_me:3976: checking for struct statfs.f_iosize" >&5
echo "$as_me:3978: checking for struct statfs.f_iosize" >&5
echo $ECHO_N "checking for struct statfs.f_iosize... $ECHO_C" >&6
if test "${ac_cv_member_struct_statfs_f_iosize+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 3982 "configure"
#line 3984 "configure"
#include "confdefs.h"
#include <sys/mount.h>
@ -3994,16 +3996,16 @@ return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:3997: \"$ac_compile\"") >&5
if { (eval echo "$as_me:3999: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:4000: \$? = $ac_status" >&5
echo "$as_me:4002: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:4003: \"$ac_try\"") >&5
{ (eval echo "$as_me:4005: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4006: \$? = $ac_status" >&5
echo "$as_me:4008: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_member_struct_statfs_f_iosize=yes
else
@ -4013,7 +4015,7 @@ ac_cv_member_struct_statfs_f_iosize=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:4016: result: $ac_cv_member_struct_statfs_f_iosize" >&5
echo "$as_me:4018: result: $ac_cv_member_struct_statfs_f_iosize" >&5
echo "${ECHO_T}$ac_cv_member_struct_statfs_f_iosize" >&6
if test $ac_cv_member_struct_statfs_f_iosize = yes; then
@ -4024,13 +4026,13 @@ EOF
fi
# Global variable decls.
echo "$as_me:4027: checking whether optind is declared" >&5
echo "$as_me:4029: checking whether optind is declared" >&5
echo $ECHO_N "checking whether optind is declared... $ECHO_C" >&6
if test "${ac_cv_have_decl_optind+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4033 "configure"
#line 4035 "configure"
#include "confdefs.h"
#include <stdio.h>
@ -4049,16 +4051,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:4052: \"$ac_compile\"") >&5
if { (eval echo "$as_me:4054: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:4055: \$? = $ac_status" >&5
echo "$as_me:4057: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:4058: \"$ac_try\"") >&5
{ (eval echo "$as_me:4060: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4061: \$? = $ac_status" >&5
echo "$as_me:4063: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_have_decl_optind=yes
else
@ -4068,7 +4070,7 @@ ac_cv_have_decl_optind=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:4071: result: $ac_cv_have_decl_optind" >&5
echo "$as_me:4073: result: $ac_cv_have_decl_optind" >&5
echo "${ECHO_T}$ac_cv_have_decl_optind" >&6
if test $ac_cv_have_decl_optind = yes; then
@ -4082,13 +4084,13 @@ else
EOF
fi
echo "$as_me:4085: checking whether optreset is declared" >&5
echo "$as_me:4087: checking whether optreset is declared" >&5
echo $ECHO_N "checking whether optreset is declared... $ECHO_C" >&6
if test "${ac_cv_have_decl_optreset+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4091 "configure"
#line 4093 "configure"
#include "confdefs.h"
#include <stdio.h>
@ -4107,16 +4109,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:4110: \"$ac_compile\"") >&5
if { (eval echo "$as_me:4112: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:4113: \$? = $ac_status" >&5
echo "$as_me:4115: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:4116: \"$ac_try\"") >&5
{ (eval echo "$as_me:4118: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4119: \$? = $ac_status" >&5
echo "$as_me:4121: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_have_decl_optreset=yes
else
@ -4126,7 +4128,7 @@ ac_cv_have_decl_optreset=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:4129: result: $ac_cv_have_decl_optreset" >&5
echo "$as_me:4131: result: $ac_cv_have_decl_optreset" >&5
echo "${ECHO_T}$ac_cv_have_decl_optreset" >&6
if test $ac_cv_have_decl_optreset = yes; then
@ -4141,13 +4143,13 @@ EOF
fi
echo "$as_me:4144: checking whether sys_signame is declared" >&5
echo "$as_me:4146: checking whether sys_signame is declared" >&5
echo $ECHO_N "checking whether sys_signame is declared... $ECHO_C" >&6
if test "${ac_cv_have_decl_sys_signame+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4150 "configure"
#line 4152 "configure"
#include "confdefs.h"
#include <signal.h>
@ -4163,16 +4165,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:4166: \"$ac_compile\"") >&5
if { (eval echo "$as_me:4168: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:4169: \$? = $ac_status" >&5
echo "$as_me:4171: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:4172: \"$ac_try\"") >&5
{ (eval echo "$as_me:4174: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4175: \$? = $ac_status" >&5
echo "$as_me:4177: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_have_decl_sys_signame=yes
else
@ -4182,7 +4184,7 @@ ac_cv_have_decl_sys_signame=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:4185: result: $ac_cv_have_decl_sys_signame" >&5
echo "$as_me:4187: result: $ac_cv_have_decl_sys_signame" >&5
echo "${ECHO_T}$ac_cv_have_decl_sys_signame" >&6
if test $ac_cv_have_decl_sys_signame = yes; then
@ -4200,13 +4202,13 @@ fi
# Library functions (where a .h check isn't enough).
# The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
# for constant arguments. Useless!
echo "$as_me:4203: checking for working alloca.h" >&5
echo "$as_me:4205: checking for working alloca.h" >&5
echo $ECHO_N "checking for working alloca.h... $ECHO_C" >&6
if test "${ac_cv_working_alloca_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4209 "configure"
#line 4211 "configure"
#include "confdefs.h"
#include <alloca.h>
int
@ -4218,16 +4220,16 @@ char *p = (char *) alloca (2 * sizeof (int));
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4221: \"$ac_link\"") >&5
if { (eval echo "$as_me:4223: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4224: \$? = $ac_status" >&5
echo "$as_me:4226: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4227: \"$ac_try\"") >&5
{ (eval echo "$as_me:4229: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4230: \$? = $ac_status" >&5
echo "$as_me:4232: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_working_alloca_h=yes
else
@ -4237,7 +4239,7 @@ ac_cv_working_alloca_h=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:4240: result: $ac_cv_working_alloca_h" >&5
echo "$as_me:4242: result: $ac_cv_working_alloca_h" >&5
echo "${ECHO_T}$ac_cv_working_alloca_h" >&6
if test $ac_cv_working_alloca_h = yes; then
@ -4247,13 +4249,13 @@ EOF
fi
echo "$as_me:4250: checking for alloca" >&5
echo "$as_me:4252: checking for alloca" >&5
echo $ECHO_N "checking for alloca... $ECHO_C" >&6
if test "${ac_cv_func_alloca_works+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4256 "configure"
#line 4258 "configure"
#include "confdefs.h"
#ifdef __GNUC__
# define alloca __builtin_alloca
@ -4285,16 +4287,16 @@ char *p = (char *) alloca (1);
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4288: \"$ac_link\"") >&5
if { (eval echo "$as_me:4290: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4291: \$? = $ac_status" >&5
echo "$as_me:4293: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4294: \"$ac_try\"") >&5
{ (eval echo "$as_me:4296: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4297: \$? = $ac_status" >&5
echo "$as_me:4299: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_alloca_works=yes
else
@ -4304,7 +4306,7 @@ ac_cv_func_alloca_works=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:4307: result: $ac_cv_func_alloca_works" >&5
echo "$as_me:4309: result: $ac_cv_func_alloca_works" >&5
echo "${ECHO_T}$ac_cv_func_alloca_works" >&6
if test $ac_cv_func_alloca_works = yes; then
@ -4325,13 +4327,13 @@ cat >>confdefs.h <<\EOF
#define C_ALLOCA 1
EOF
echo "$as_me:4328: checking whether \`alloca.c' needs Cray hooks" >&5
echo "$as_me:4330: checking whether \`alloca.c' needs Cray hooks" >&5
echo $ECHO_N "checking whether \`alloca.c' needs Cray hooks... $ECHO_C" >&6
if test "${ac_cv_os_cray+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4334 "configure"
#line 4336 "configure"
#include "confdefs.h"
#if defined(CRAY) && ! defined(CRAY2)
webecray
@ -4349,18 +4351,18 @@ fi
rm -f conftest*
fi
echo "$as_me:4352: result: $ac_cv_os_cray" >&5
echo "$as_me:4354: result: $ac_cv_os_cray" >&5
echo "${ECHO_T}$ac_cv_os_cray" >&6
if test $ac_cv_os_cray = yes; then
for ac_func in _getb67 GETB67 getb67; do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:4357: checking for $ac_func" >&5
echo "$as_me:4359: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4363 "configure"
#line 4365 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@ -4391,16 +4393,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4394: \"$ac_link\"") >&5
if { (eval echo "$as_me:4396: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4397: \$? = $ac_status" >&5
echo "$as_me:4399: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4400: \"$ac_try\"") >&5
{ (eval echo "$as_me:4402: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4403: \$? = $ac_status" >&5
echo "$as_me:4405: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@ -4410,7 +4412,7 @@ eval "$as_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:4413: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "$as_me:4415: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
@ -4424,7 +4426,7 @@ fi
done
fi
echo "$as_me:4427: checking stack direction for C alloca" >&5
echo "$as_me:4429: checking stack direction for C alloca" >&5
echo $ECHO_N "checking stack direction for C alloca... $ECHO_C" >&6
if test "${ac_cv_c_stack_direction+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -4433,7 +4435,7 @@ else
ac_cv_c_stack_direction=0
else
cat >conftest.$ac_ext <<_ACEOF
#line 4436 "configure"
#line 4438 "configure"
#include "confdefs.h"
int
find_stack_direction ()
@ -4456,15 +4458,15 @@ main ()
}
_ACEOF
rm -f conftest$ac_exeext
if { (eval echo "$as_me:4459: \"$ac_link\"") >&5
if { (eval echo "$as_me:4461: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4462: \$? = $ac_status" >&5
echo "$as_me:4464: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (eval echo "$as_me:4464: \"$ac_try\"") >&5
{ (eval echo "$as_me:4466: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4467: \$? = $ac_status" >&5
echo "$as_me:4469: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_stack_direction=1
else
@ -4476,7 +4478,7 @@ fi
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
fi
echo "$as_me:4479: result: $ac_cv_c_stack_direction" >&5
echo "$as_me:4481: result: $ac_cv_c_stack_direction" >&5
echo "${ECHO_T}$ac_cv_c_stack_direction" >&6
cat >>confdefs.h <<EOF
@ -4494,13 +4496,13 @@ for ac_func in asprintf asnprintf basename dirfd dirname \
user_from_uid vasprintf vasnprintf vsnprintf
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:4497: checking for $ac_func" >&5
echo "$as_me:4499: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4503 "configure"
#line 4505 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@ -4531,16 +4533,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4534: \"$ac_link\"") >&5
if { (eval echo "$as_me:4536: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4537: \$? = $ac_status" >&5
echo "$as_me:4539: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4540: \"$ac_try\"") >&5
{ (eval echo "$as_me:4542: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4543: \$? = $ac_status" >&5
echo "$as_me:4545: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@ -4550,7 +4552,7 @@ eval "$as_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:4553: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "$as_me:4555: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@ -4560,13 +4562,13 @@ EOF
fi
done
echo "$as_me:4563: checking whether setgroupent is declared" >&5
echo "$as_me:4565: checking whether setgroupent is declared" >&5
echo $ECHO_N "checking whether setgroupent is declared... $ECHO_C" >&6
if test "${ac_cv_have_decl_setgroupent+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4569 "configure"
#line 4571 "configure"
#include "confdefs.h"
#include <grp.h>
@ -4584,16 +4586,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:4587: \"$ac_compile\"") >&5
if { (eval echo "$as_me:4589: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:4590: \$? = $ac_status" >&5
echo "$as_me:4592: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:4593: \"$ac_try\"") >&5
{ (eval echo "$as_me:4595: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4596: \$? = $ac_status" >&5
echo "$as_me:4598: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_have_decl_setgroupent=yes
else
@ -4603,7 +4605,7 @@ ac_cv_have_decl_setgroupent=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:4606: result: $ac_cv_have_decl_setgroupent" >&5
echo "$as_me:4608: result: $ac_cv_have_decl_setgroupent" >&5
echo "${ECHO_T}$ac_cv_have_decl_setgroupent" >&6
if test $ac_cv_have_decl_setgroupent = yes; then
@ -4617,13 +4619,13 @@ else
EOF
fi
echo "$as_me:4620: checking whether setpassent is declared" >&5
echo "$as_me:4622: checking whether setpassent is declared" >&5
echo $ECHO_N "checking whether setpassent is declared... $ECHO_C" >&6
if test "${ac_cv_have_decl_setpassent+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4626 "configure"
#line 4628 "configure"
#include "confdefs.h"
#include <grp.h>
@ -4641,16 +4643,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:4644: \"$ac_compile\"") >&5
if { (eval echo "$as_me:4646: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:4647: \$? = $ac_status" >&5
echo "$as_me:4649: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:4650: \"$ac_try\"") >&5
{ (eval echo "$as_me:4652: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4653: \$? = $ac_status" >&5
echo "$as_me:4655: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_have_decl_setpassent=yes
else
@ -4660,7 +4662,7 @@ ac_cv_have_decl_setpassent=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:4663: result: $ac_cv_have_decl_setpassent" >&5
echo "$as_me:4665: result: $ac_cv_have_decl_setpassent" >&5
echo "${ECHO_T}$ac_cv_have_decl_setpassent" >&6
if test $ac_cv_have_decl_setpassent = yes; then
@ -4678,7 +4680,7 @@ fi
# regcomp() and regexec() are also names of functions in the old V8
# regexp package. To avoid them, we need to find out who has regfree().
echo "$as_me:4681: checking for regfree in -lregex" >&5
echo "$as_me:4683: checking for regfree in -lregex" >&5
echo $ECHO_N "checking for regfree in -lregex... $ECHO_C" >&6
if test "${ac_cv_lib_regex_regfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -4686,7 +4688,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lregex $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 4689 "configure"
#line 4691 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -4705,16 +4707,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4708: \"$ac_link\"") >&5
if { (eval echo "$as_me:4710: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4711: \$? = $ac_status" >&5
echo "$as_me:4713: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4714: \"$ac_try\"") >&5
{ (eval echo "$as_me:4716: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4717: \$? = $ac_status" >&5
echo "$as_me:4719: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_regex_regfree=yes
else
@ -4725,7 +4727,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:4728: result: $ac_cv_lib_regex_regfree" >&5
echo "$as_me:4730: result: $ac_cv_lib_regex_regfree" >&5
echo "${ECHO_T}$ac_cv_lib_regex_regfree" >&6
if test $ac_cv_lib_regex_regfree = yes; then
cat >>confdefs.h <<EOF
@ -4736,7 +4738,7 @@ EOF
fi
echo "$as_me:4739: checking for library containing regfree" >&5
echo "$as_me:4741: checking for library containing regfree" >&5
echo $ECHO_N "checking for library containing regfree... $ECHO_C" >&6
if test "${ac_cv_search_regfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -4744,7 +4746,7 @@ else
ac_func_search_save_LIBS=$LIBS
ac_cv_search_regfree=no
cat >conftest.$ac_ext <<_ACEOF
#line 4747 "configure"
#line 4749 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -4763,16 +4765,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4766: \"$ac_link\"") >&5
if { (eval echo "$as_me:4768: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4769: \$? = $ac_status" >&5
echo "$as_me:4771: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4772: \"$ac_try\"") >&5
{ (eval echo "$as_me:4774: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4775: \$? = $ac_status" >&5
echo "$as_me:4777: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_regfree="none required"
else
@ -4784,7 +4786,7 @@ if test "$ac_cv_search_regfree" = no; then
for ac_lib in rx posix; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 4787 "configure"
#line 4789 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -4803,16 +4805,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4806: \"$ac_link\"") >&5
if { (eval echo "$as_me:4808: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4809: \$? = $ac_status" >&5
echo "$as_me:4811: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4812: \"$ac_try\"") >&5
{ (eval echo "$as_me:4814: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4815: \$? = $ac_status" >&5
echo "$as_me:4817: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_regfree="-l$ac_lib"
break
@ -4825,7 +4827,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
LIBS=$ac_func_search_save_LIBS
fi
echo "$as_me:4828: result: $ac_cv_search_regfree" >&5
echo "$as_me:4830: result: $ac_cv_search_regfree" >&5
echo "${ECHO_T}$ac_cv_search_regfree" >&6
if test "$ac_cv_search_regfree" != no; then
test "$ac_cv_search_regfree" = "none required" || LIBS="$ac_cv_search_regfree $LIBS"
@ -4911,7 +4913,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:4914: creating $CONFIG_STATUS" >&5
{ echo "$as_me:4916: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@ -5083,7 +5085,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:5086: error: ambiguous option: $1
{ { echo "$as_me:5088: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@ -5102,7 +5104,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:5105: error: unrecognized option: $1
-*) { { echo "$as_me:5107: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@ -5139,7 +5141,7 @@ do
# Handling of arguments.
"defs.mk" ) CONFIG_FILES="$CONFIG_FILES defs.mk" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
*) { { echo "$as_me:5142: error: invalid argument: $ac_config_target" >&5
*) { { echo "$as_me:5144: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@ -5339,7 +5341,7 @@ done; }
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:5342: creating $ac_file" >&5
{ echo "$as_me:5344: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@ -5357,7 +5359,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:5360: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:5362: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -5370,7 +5372,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:5373: error: cannot find input file: $f" >&5
{ { echo "$as_me:5375: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -5430,7 +5432,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
test x"$ac_file" != x- && { echo "$as_me:5433: creating $ac_file" >&5
test x"$ac_file" != x- && { echo "$as_me:5435: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@ -5441,7 +5443,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:5444: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:5446: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -5454,7 +5456,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:5457: error: cannot find input file: $f" >&5
{ { echo "$as_me:5459: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -5571,7 +5573,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
{ echo "$as_me:5574: $ac_file is unchanged" >&5
{ echo "$as_me:5576: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \

View File

@ -1,4 +1,4 @@
# $NetBSD: configure.ac,v 1.31 2002/11/30 21:43:28 lukem Exp $
# $NetBSD: configure.ac,v 1.32 2002/12/16 00:32:00 thorpej Exp $
#
# Autoconf definition file for libnbcompat.
#
@ -77,7 +77,8 @@ NB_CHECK_INTTYPE(64)
# Struct members.
AC_CHECK_MEMBERS([DIR.dd_fd, struct dirent.d_namlen],,,
[#include <dirent.h>])
[#include <sys/types.h>
#include <dirent.h>])
AC_CHECK_MEMBERS([struct stat.st_flags, struct stat.st_gen,
struct stat.st_mtimensec],,, [#include <sys/stat.h>])
AC_CHECK_MEMBERS(struct statfs.f_iosize,,, [#include <sys/mount.h>])